///////////////////////////////////////
///////////////////////////////////////
////                               ////
////        VMM 1.2 example        ////
////                               ////
////     For more vmm examples     ////
////     visit www.testbench.in    ////
////                               ////
///////////////////////////////////////
///////////////////////////////////////


//-----------------------------------------------------------------------------
// Dummy rtl extended Scenario Class
//-----------------------------------------------------------------------------

class my_scenario extends packet_scenario;

  int my_scen_id;
  
  function new();
    this.my_scen_id = this.define_scenario("Packet Write Read Scenario", 2);
  endfunction : new

  constraint c_packet {
    foreach (this.items[i]) 
      this.items[i].address inside {[1:12]};
    foreach (this.items[i]) 
      this.items[i].data inside {[1:12]};
  }

endclass : my_scenario

//-----------------------------------------------------------------------------
// end of file 
//-----------------------------------------------------------------------------
